package com.yuchen.saas.manage.user.api.feign;

import com.yuchen.saas.manage.user.api.entity.SaasCompany;
import com.yuchen.saas.manage.user.api.vo.ChangePhoneVo;
import com.yuchen.saas.manage.user.api.vo.sasscompany.*;
import org.nest.springwrap.core.tool.api.R;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.ArrayList;
import java.util.List;


@Component
public class SaasCompanyClientFallback implements ISaasCompanyClient {

    @Override
    public R saveSaasCompany(SaasCompanySaveVo saveVo) {
        return R.fail("查询失败");
    }

    @Override
    public R getCompanyLoginSms(String companyName, String phone) {
        return R.fail("查询失败");
    }

    @Override
    public R getCompanyRegisterSms(String companyName, String phone) {
        return R.fail("查询失败");
    }

    @Override
    public R companyRegisterAndLogin(SaasCompanyRegisterVo pwdVo) {
        return R.fail("查询失败");
    }

    @Override
    public R companyLoginByPwd(SaasCompanyLoginByPwdVo pwdVo) {
        return R.fail("查询失败");
    }

    @Override
    public R companyLoginBySms(SaasCompanyLoginBySmsVo smsVo) {
        return R.fail("查询失败");
    }

    @Override
    public R pageCompanyUserBySaasCompanyId(Long companyId,Integer status, Integer current, Integer size) {

        return R.fail("查询失败");
    }

    @Override
    public R pageCompanyUserByPhone(String phone,Integer status, Integer current, Integer size) {
        return R.fail("查询失败");
    }

    @Override
    public SaasCompany getByPhone(String phone) {
        return null;
    }

    @Override
    public GetCompanyParkSettleVo getCompanyParkSettleByPhone(String phone, Long parkId) {
        return null;
    }

    @Override
    public GetCompanyParkSettleVo getCompanyParkSettleBySaasCompanyId(Long saasCompanyId, Long parkId) {
        return null;
    }

    @Override
    public R companyParkSettle(CompanyParkSettleVo registerVo) {
        return R.fail("请求失败");
    }

//    @Override
//    public R addCompany(AddCompanyVo companyVo) {
//        return R.fail("请求失败");
//    }


//    @Override
//    public R companyRegisterAudit(Long companyId, Integer status, String reason) {
//        return R.fail("请求失败");
//    }

//    @Override
//    public CheckCompanyServeVo checkCompanyServeByManagerPhone(String phone, Long parkId) {
//        return null;
//    }

//    @Override
//    public R serveRegister(ServeRegisterVo registerVo) {
//        return R.fail("请求失败");
//    }

//    @Override
//    public R companyServeAudit(Long companyId, Integer status, String reason) {
//        return R.fail("请求失败");
//    }

    @Override
    public R companyCertification(SaasCompanyCertificationVo certificationVo) {
        return R.fail("请求失败");
    }

    @Override
    public GetCompanyCertificationVo getCertificationBySaasCompanyId(Long saasCompanyId) {
        return null;
    }

    @Override
    public GetCompanyCertificationVo getCertificationByManagerPhone(String phone) {
        return null;
    }

    @Override
    public SaasCompany getSaasCompanyByName(String companyName) {
        return null;
    }

    @Override
    public List<CompanySettleParksVo> getCompanySettleParks(Long saasCompanyId) {
        return new ArrayList<>();
    }

    @Override
    public R changePhone(ChangePhoneVo changePhoneVo) {
        return R.fail("请求失败");
    }

    @Override
    public R<List<SaasCompanyListVO>> getCompanyList(String companyName) {
        return R.fail("远程调用失败");
    }
}
